regina-core.h File Reference

Core definitions that must be included in every Regina header file. More...

## Macros

#define | REGINA_API
| All non-templated, non-static functions, classes and global variables that are part of Regina's public interface must be declared with REGINA_API. More...
#define | REGINA_LOCAL
| Classes and functions that are local to the current compilation unit and should not be publicly exported may be declared with REGINA_LOCAL. More...

## Detailed Description

Core definitions that must be included in every Regina header file.

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).